Package net.sourceforge.jiu.data

# Interface PalettedIntegerImage

All Superinterfaces:
  `IntegerImage`, `PalettedImage`, `PixelImage`

All Known Subinterfaces:
  `Paletted8Image`

All Known Implementing Classes:
  `MemoryPaletted8Image`

public interface PalettedIntegerImage extends PalettedImage, IntegerImage
An empty interface for a paletted image type that uses integer values as samples.

Since:
  0.11.0
Author:
  Marco Schmidt

## Method Summary

### Methods inherited from interface net.sourceforge.jiu.data.IntegerImage

`clear, clear, getMaxSample, getSample, getSample, getSamples, putSample, putSample, putSamples`

### Methods inherited from interface net.sourceforge.jiu.data.PalettedImage

`getPalette, setPalette`

### Methods inherited from interface net.sourceforge.jiu.data.PixelImage

`createCompatibleImage, createCopy, getAllocatedMemory, getBitsPerPixel, getHeight, getImageType, getNumChannels, getWidth`